Skip to main content
PATCH
Update Environment

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

environment_id
string
required

Body

application/json
name
string | null
display_name
string | null
description
string | null
tags
string[] | null
settings
Settings · object | null
status
string | null
execution_environment
ExecutionEnvironment · object | null

Execution environment configuration - env vars, secrets, integration credentials, and MCP servers.

All string fields in mcp_servers support template syntax:

  • {{variable}} - Simple variables
  • {{.secret.name}} - Secrets from vault
  • {{.env.VAR}} - Environment variables

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
display_name
string | null
required
description
string | null
required
tags
string[]
required
settings
Settings · object
required
status
string
required
created_at
string
required
updated_at
string
required
created_by
string | null
required
worker_token
string | null
provisioning_workflow_id
string | null
provisioned_at
string | null
error_message
string | null
temporal_namespace_id
string | null
active_workers
integer
default:0
idle_workers
integer
default:0
busy_workers
integer
default:0
skill_ids
string[]
skills
Skills · object[]
execution_environment
Execution Environment · object